import request from "@/utils/request"

// 列表
export function list(data){
  return request({
    url: `/admin/order/page`,
    method: 'post',
    data
  })
}

// 历史导出列表
export function dialogList(data) {
  return request({
    url: `/admin/order/export/page`,
    method: 'post',
    data
  })
}

// 导出
export function download(data){
  return request({
    url: `/admin/order/excelDownload`,
    method: 'post',
    data
  })
}

// 历史订单下载
export function downLoadHistory(msgId) {
  return request({
    url: `/admin/order/getexportUrlBymsgId/${msgId}`,
    method: 'get'
  })
}